import processing.serial.*;

Serial lecteurcarte;//variable "lecteurcarte" de classe Serial
int compteur=0;
boolean lecturefini=false;
boolean finlecture=false;
boolean affichage=false;
int[] lecture=new int[11];
int[][] carte_autorisee=new int [100][11];

void setup() 
{
  lecteurcarte = new Serial(this, Serial.list()[0], 9600);//configuration lecteurcarte comme port serie 0 (RS232) à 9600Bd 
  
}

void draw(){
  if(lecteurcarte.available()>0 &&!finlecture){   //si la donnée est valide, on effectue la lecture de la carte
    lecture[compteur]=lecteurcarte.read();        //on stocke les données dans la variable "lecture"     
    compteur=compteur+1;                          //on incremente la variable "compteur"
    if(compteur==11){                             //si 11 donnees sont lues (longueur du message de la carte)
      lecturefini=true;                           
      finlecture=true;      
      compteur=0;
    }
      
  }  
  else{
    while(!affichage){    // si donnée invalide, on imprime "carte illisible"
      println("carte illisible");
      compteur=0;
      affichage=true;
    }
  }
  
  if(lecturefini){                              //si la lecture (11 octets) de la carte est finie
    println("carte lue");                       //on imprime "carte lue"
    lecturefini=false;
    for(int n=0;n<11;n++){                      //on imprime les 11 octets de données
      println(lecture[n]);
    }
    delay(3000);
    affichage=false;
    //lecturefini=false;
    //finlecture=false;
   } 
  
  
}
   

